package com.pcloud.book.push.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/13 17:16
 **/
@ApiModel("新闻模型")
public class News extends BaseEntity {

    private static final long serialVersionUID = -3896134057717180981L;
    /**
     * 类型
     */
    private String type;

    /**
     * 来源
     */
    private String newsFrom;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布者
     */
    private String publisher;

    /**
     * 链接
     */
    private String url;

    /**
     * 短链接
     */
    private String shortUrl;

    /**
     * 发布日期
     */
    private String newsDate;


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNewsFrom() {
        return newsFrom;
    }

    public void setNewsFrom(String newsFrom) {
        this.newsFrom = newsFrom;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getShortUrl() {
        return shortUrl;
    }

    public void setShortUrl(String shortUrl) {
        this.shortUrl = shortUrl;
    }

    public String getNewsDate() {
        return newsDate;
    }

    public void setNewsDate(String newsDate) {
        this.newsDate = newsDate;
    }

    @Override
    public String toString() {
        return "News{" +
                "type='" + type + '\'' +
                ", newsFrom='" + newsFrom + '\'' +
                ", title='" + title + '\'' +
                ", publisher='" + publisher + '\'' +
                ", url='" + url + '\'' +
                ", shortUrl='" + shortUrl + '\'' +
                ", newsDate='" + newsDate + '\'' +
                "} " + super.toString();
    }
}
